webpack指南之webpack安装

责编:menVScode 2017-07-17 15:49 阅读(669)

        前提条件

        在开始之前,请确保安装了 Node.js 的最新版本。使用 Node.js 最新的长期支持版本(LTS - Long Term Support),是理想的起步。使用旧版本,你可能遇到各种问题,因为它们可能缺少 webpack 功能以及/或者缺少相关 package 包。

         本地安装

        目前最新的webpack版本是:v3.3.0

        要安装最新版本或特定版本,请运行以下命令之一:

npm install --save-dev webpack
npm install --save-dev webpack@<version>

        注意:在配置webpack.config.js文件时,webpack-1.0版本时用的是loaders;而2.0后,都是用的rules。

        对于大多数项目,我们建议本地安装。这可以使我们在引入破坏式变更(breaking change)的依赖时,更容易分别升级项目。通常,webpack 通过运行一个或多个 npm scripts,会在本地 node_modules 目录中查找安装的 

        webpack:

"scripts": {
    "start": "webpack --config webpack.config.js"
}

        当你在本地安装 webpack 后,你能够从 node_modules/.bin/webpack 访问它的 bin 版本。

        全局安装

        以下的 NPM 安装方式,将使 webpack 在全局环境下可用:

npm install --global webpack

        不推荐全局安装 webpack。这会将您项目中的 webpack 锁定到指定版本,并且在使用不同的 webpack 版本的项目中,可能会导致构建失败。

        注意:实际过程中,通常本地安装后,还会进行一次全局安装。否则的话当你运行 'webpack' 命令时,会报出如下错误:' webpack不是内部或外部命令 '。不过也可以设置环境变量来解决。

        最新体验版本

        如果你热衷于使用最新版本的 webpack,你可以使用以下命令,直接从 webpack 的仓库中安装:

npm install webpack@beta
npm install webpack/webpack#<tagname/branchname>

        安装这些最新体验版本时要小心!它们可能仍然包含 bug,因此不应该用于生产环境。

        参考:https://doc.webpack-china.org/guides/installation/

标签: webpack
前端交流群: MVC前端网(menvscode.com)-qq交流群:551903636

邮箱快速注册

忘记密码